## tmatrix 1.4%2Bdfsg

=== debian/changelog ===
tmatrix (1.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Ravi Kant Sharma <contact@r4v1.net>  Fri, 26 Dec 2025 07:40:01 -0500

tmatrix (1.4+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1107560)

 -- Ravi Kant Sharma <contact@r4v1.net>  Mon, 09 Jun 2025 11:25:48 -0400

## tmatrix 1.4+dfsg

=== CMakeLists.txt ===
# Version 3.8 is the first version that supports CXX_STANDARD 17.
cmake_minimum_required(VERSION 3.8)
project(TMatrix CXX)

# Use the C++17 standard.
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Setup different build types. Release is the default.
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   set(CMAKE_BUILD_TYPE Release)
endif()
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wpedantic")
set(CMAKE_CXX_FLAGS_RELEASE "-O2")
set(CMAKE_CXX_FLAGS_DEBUG  "-O0 -g")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")

# Add linking with pthread.
set(CMAKE_EXE_LINKER_FLAGS "-pthread")

# Add the required ncurses library.
set(CURSES_NEED_NCURSES TRUE)
find_package(Curses REQUIRED)
link_libraries(${CURSES_LIBRARIES})

# Link libatomic explicitly because some platforms require it.
find_library(ATOMIC_LIB atomic)
# Check if libatomic is present (it may not be, for example on macOS).
if(ATOMIC_LIB)
	link_libraries(${ATOMIC_LIB})
endif()

# Add all the .cpp files.
file(GLOB tmatrix_SRC "src/*.cpp")
add_executable(tmatrix ${tmatrix_SRC})

# Specify the include directory.
include_directories(include)

# Specify how to compress the man page.
configure_file(tmatrix.6 ${PROJECT_BINARY_DIR}/tmatrix.6)
add_custom_command(OUTPUT tmatrix.6.gz
	COMMAND gzip -f tmatrix.6
	DEPENDS tmatrix.6
)
add_custom_target(manpage ALL DEPENDS tmatrix.6.gz)

# If the user didn't change the default install prefix set it to "/usr"
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif()

# Install tmatrix binary and manpage.
install(TARGETS tmatrix DESTINATION bin)
install(FILES ${PROJECT_BINARY_DIR}/tmatrix.6.gz DESTINATION share/man/man6)

# Install bash and zsh completion scripts.
install(FILES completions/tmatrix-completion.bash
	DESTINATION share/bash-completion/completions
	RENAME tmatrix
)
install(FILES completions/tmatrix-completion.zsh
	DESTINATION share/zsh/site-functions
	RENAME _tmatrix
)

=== debian/control ===
Source: tmatrix
Section: misc
Priority: optional
Maintainer: Ravi Kant Sharma <contact@r4v1.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libncurses-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/M4444/TMatrix
Vcs-Browser: https://salsa.debian.org/raviksharma/tmatrix
Vcs-Git: https://salsa.debian.org/raviksharma/tmatrix.git

Package: tmatrix
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: program that simulates the digital rain from The Matrix
 TMatrix is a program that simulates the digital rain from The Matrix. It's
 focused on being the most accurate replica of the digital rain effect
 achievable on a typical terminal, while also being customizable and
 performant.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="searchmode=plain, \
    repacksuffix=+dfsg, \
    repack,compression=xz, \
    dversionmangle=s/\+dfsg//, \
    filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
    downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g," \
    https://api.github.com/repos/M4444/TMatrix/git/matching-refs/tags/ \
    https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
